# Interface IPreferenceNodeVisitor

public interface IPreferenceNodeVisitor
This interface is implemented by objects that visit preference nodes.

Usage:

    class Visitor implements IPreferenceNodeVisitor {
       public boolean visit(IEclipsePreferences node) {
          // your code here
          return true;
       }
    }
    IEclipsePreferences root = ...;
    root.accept(new Visitor());

Clients may implement this interface.

Since:
  3.0
See Also:
  - `IEclipsePreferences.accept(IPreferenceNodeVisitor)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`visit(IEclipsePreferences node)`
Visits the given preference node.

## Method Details

### visit

boolean visit(IEclipsePreferences node) throws BackingStoreException
Visits the given preference node.

Parameters:
  `node` - the node to visit
Returns:
  `true` if the node's children should be visited; `false` if they should be skipped
Throws:
  `BackingStoreException` - if this operation cannot be completed due to a failure in the backing store, or inability to communicate with it.